Phone system & SMS
Call list
Numbers added to call lists (newest first, push rows) and links (connected call centres — id, name, provider, campaign, appointments), on. Without a company, sales users see only what they added.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope:
crm.readQuery parameters
customer_idintegeroptionalCompany.
statusstringoptionalStatus.
Values
queuedsentfailedlimitintegeroptionaldefault: 50Max (1–100).
Errors
| HTTP | error | Meaning |
|---|---|---|
404 | not_found | Record not found. |
Request
curl https://ornek.solk.app/api/v1/tel/call-list \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/tel/call-list", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/tel/call-list",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response